<?php
include 'core/sys.php';
reg();
head('Улучшение умений');
	$skills_ur = array(1,3,4,6,7,9,10,12,13,15);
	$skills_hp = array(2,5);
	$skills_str = array(8,11);
$q_skill = mysql_query("SELECT * FROM `skils_user` WHERE `user_id`='".$user['id']."'");
$total = mysql_result(mysql_query("SELECT COUNT(id) FROM `skils_user` WHERE `user_id`='".$user['id']."'"),0);
$pay_rubin = 12*$user['umenie_plus'];
echo '<div class="name">Улучшение умений:</div>
<div class="row"><img src="img/other/npc/Aliani.gif"><b>Алиани</b><br>Я знала , что ты сегодня придешь <b>'.$user['login'].'</b>!
А ты серьезно настроен.Ну тогда я могу отправить тебя на тренировку лучших одаренных мира всего за <img src="img/money/rubin.png"> '.$pay_rubin.'<br>
Там увеличат любой твой навык на 4%!</div>
<div class="row">';
if(!empty($_GET['skill'])){
$skill_id = int($_GET['skill']);
$skill_us = mysql_fetch_assoc(mysql_query("SELECT * FROM `skils_user` WHERE `user_id`='".$user['id']."' AND `skil_id`='".$skill_id."'"));
	if(!$skill_us){
	header("Location: index.php");
	exit;
	}
	if($user['rubin'] < $pay_rubin){
	echo '<div id="error">Ты не можешь себе это позволить:(</div>';
	foot();
	exit;
	}
	if(in_array($skill_id,$skills_ur)){
		$uron_up = $skill_us['uron']/100*4 + $skill_us['uron'];
		mysql_query("UPDATE `skils_user` SET `uron`='".$uron_up."' WHERE `user_id`='".$user['id']."' AND `skil_id`='".$skill_id."'");
		}elseif(in_array($skill_id,$skills_hp)){
		$hp_up = $skill_us['hp']/100*4 + $skill_us['hp'];
		mysql_query("UPDATE `skils_user` SET `hp`='".$hp_up."' WHERE `user_id`='".$user['id']."' AND `skil_id`='".$skill_id."'");
		}elseif(in_array($skill_id,$skills_str)){
		$str_up = $skill_us['str']/100*4 + $skill_us['str'];
		mysql_query("UPDATE `skils_user` SET `str`='".$str_up."' WHERE `user_id`='".$user['id']."' AND `skil_id`='".$skill_id."'");
		}elseif($skill_id==14){
		$def_up = $skill_us['def']/100*4 + $skill_us['def'];
		mysql_query("UPDATE `skils_user` SET `def`='".$def_up."' WHERE `user_id`='".$user['id']."' AND `skil_id`='".$skill_id."'");
		}
		mysql_query("UPDATE `users` SET `rubin`=`rubin`-".$pay_rubin.",`umenie_plus`=`umenie_plus`+1 WHERE `id`='".$user['id']."'");
echo 'Тренировка прошла успешно.Ты показал себя как настоящий боец и  улучшил умение!</div><div class="name"><a href="skill_up.php">Улучшение умений</a></div>';
foot();
exit;
}
if($total==0){
echo 'У вас нет умений';
}
	

	while($row_skill = mysql_fetch_assoc($q_skill)){
		if(in_array($row_skill['skil_id'],$skills_ur)){
		$skill_delaet = 'атк:'.$row_skill['uron'];
		}elseif(in_array($row_skill['skil_id'],$skills_hp)){
		$skill_delaet = 'HP:+'.$row_skill['hp'];
		}elseif(in_array($row_skill['skil_id'],$skills_str)){
		$skill_delaet = 'сил:+'.$row_skill['str'];
		}elseif($row_skill['skil_id']==14){
		$skill_delaet = 'защ:+'.$row_skill['def'];
		}
	echo '<img src="img/skill/'.$row_skill['skil_id'].'.png" alt=""></a> <small>[MP:'.$row_skill['mana'].'|'.$skill_delaet.']</small> <a href="skill_up.php?skill='.$row_skill['skil_id'].'">улучшить</a><br>';
	}

echo '</div>';

foot();
?>